package Main;

import Type.*;

import java.util.List;
import java.util.ArrayList;
import java.awt.*;

public abstract class Figure extends AbstractType
{
    //all figures have visible and animating properties
    public boolean _visible = true;
    public boolean _animating;

    public PairType loc = new PairType(new IntType(0), new IntType(0));
    public ColorType color = new ColorType(0,0,0,1);

    public List<Figure> components = new ArrayList<Figure>();

    public Figure() {
	Figures.figures.add(this);
    }

    public void draw(Graphics g) {

    }

    //(* _update.call() gives the update method *)
    public UpdateFunctionType _update;
}
