package Type;

public class PairType extends AbstractType {
    public FloatType x;
    public FloatType y;

    public PairType (AbstractType myX, AbstractType myY) {
	if (myX instanceof IntType) {
	    x = new FloatType(((IntType)myX).value); 
	}else if (myX instanceof FloatType) {
	    x = new FloatType(((FloatType)myX).value);
	} else {
	    throw new Error("X value of ordered pair must be int or float.");
	}
	if (myY instanceof IntType)
	    y = new FloatType(((IntType)myY).value);	
	else if ( myY instanceof FloatType) {
	    y = new FloatType(((FloatType)myY).value);
	} else {
	    throw new Error("Y value of ordered pair must be int or float.");
	}
    }
    public PairType () {
    x = new FloatType(0.0);
    y = new FloatType(0.0);
    }

}
	
