package Type;

public abstract class Arop {
    public static IntType fogl_plus(IntType a,IntType b) {
	return new IntType(a.value + b.value);
    }
    public static FloatType fogl_plus(FloatType a, FloatType b) {
	return new FloatType(a.value + b.value);
    }
    public static FloatType fogl_plus(FloatType a, IntType b) {
	return new FloatType(a.value + b.value);
    }
    public static FloatType fogl_plus(IntType a, FloatType b) {
	return new FloatType(a.value + b.value);
    }
    public static StringType fogl_plus(StringType a, StringType b) {
	return new StringType(a.value + b.value);
    }
	public static PairType fogl_plus(PairType a, PairType b) {
	return new PairType(fogl_plus(a.x, b.x), fogl_plus(a.y, b.y));
	}
	public static PairType fogl_plus(PairType a, IntType b) {
	return new PairType(fogl_plus(a.x, b), fogl_plus(a.y, b));
	}
	public static PairType fogl_plus(PairType a, FloatType b) {
	return new PairType(fogl_plus(a.x, b), fogl_plus(a.y, b));
	}
	public static PairType fogl_plus(IntType a, PairType b) {
	return new PairType(fogl_plus(a, b.x), fogl_plus(a, b.y));
	}
	public static PairType fogl_plus(FloatType a, PairType b) {
	return new PairType(fogl_plus(a, b.x), fogl_plus(a, b.y));
	}

    public static IntType fogl_minus(IntType a,IntType b) {
	return new IntType(a.value - b.value);
    }
	public static FloatType fogl_minus(FloatType a,IntType b) {
	return new FloatType(a.value - b.value);
    }
	public static FloatType fogl_minus(IntType a,FloatType b) {
	return new FloatType(a.value - b.value);
    }
	public static FloatType fogl_minus(FloatType a,FloatType b) {
	return new FloatType(a.value - b.value);
    }
	public static PairType fogl_minus(PairType a, PairType b) {
	return new PairType(fogl_minus(a.x, b.x), fogl_minus(a.y, b.y));
	}
	public static PairType fogl_minus(PairType a, IntType b) {
	return new PairType(fogl_minus(a.x, b), fogl_minus(a.y, b));
	}
	public static PairType fogl_minus(PairType a, FloatType b) {
	return new PairType(fogl_minus(a.x, b), fogl_minus(a.y, b));
	}
	public static PairType fogl_minus(IntType a, PairType b) {
	return new PairType(fogl_minus(a, b.x), fogl_minus(a, b.y));
	}
	public static PairType fogl_minus(FloatType a, PairType b) {
	return new PairType(fogl_minus(a, b.x), fogl_minus(a, b.y));
	}

    public static IntType fogl_times(IntType a,IntType b) {
	return new IntType(a.value * b.value);
    }
	public static FloatType fogl_times(FloatType a,IntType b) {
	return new FloatType(a.value * b.value);
    }
	public static FloatType fogl_times(IntType a,FloatType b) {
	return new FloatType(a.value * b.value);
    }
	public static FloatType fogl_times(FloatType a,FloatType b) {
	return new FloatType(a.value * b.value);
    }
	public static PairType fogl_times(PairType a, PairType b) {
	return new PairType(fogl_times(a.x, b.x), fogl_times(a.y, b.y));
	}
	public static PairType fogl_times(PairType a, IntType b) {
	return new PairType(fogl_times(a.x, b), fogl_times(a.y, b));
	}
	public static PairType fogl_times(PairType a, FloatType b) {
	return new PairType(fogl_times(a.x, b), fogl_times(a.y, b));
	}
	public static PairType fogl_times(IntType a, PairType b) {
	return new PairType(fogl_times(a, b.x), fogl_times(a, b.y));
	}
	public static PairType fogl_times(FloatType a, PairType b) {
	return new PairType(fogl_times(a, b.x), fogl_times(a, b.y));
	}

    public static FloatType fogl_div(IntType a,IntType b) {
	return new FloatType((float) a.value / (float) b.value);
    }
	public static FloatType fogl_div(FloatType a,IntType b) {
	return new FloatType(a.value / b.value);
    }
	public static FloatType fogl_div(IntType a,FloatType b) {
	return new FloatType(a.value / b.value);
    }
	public static FloatType fogl_div(FloatType a,FloatType b) {
	return new FloatType(a.value / b.value);
    }
	public static PairType fogl_div(PairType a, PairType b) {
	return new PairType(fogl_div(a.x, b.x), fogl_div(a.y, b.y));
	}
	public static PairType fogl_div(PairType a, IntType b) {
	return new PairType(fogl_div(a.x, b), fogl_div(a.y, b));
	}
	public static PairType fogl_div(PairType a, FloatType b) {
	return new PairType(fogl_div(a.x, b), fogl_div(a.y, b));
	}
	public static PairType fogl_div(IntType a, PairType b) {
	return new PairType(fogl_div(a, b.x), fogl_div(a, b.y));
	}
	public static PairType fogl_div(FloatType a, PairType b) {
	return new PairType(fogl_div(a, b.x), fogl_div(a, b.y));
	}
	
	public static IntType fogl_divdiv(IntType a,IntType b) {
	return new IntType((int)(a.value / b.value));
    }
	public static IntType fogl_divdiv(FloatType a,IntType b) {
	return new IntType((int)(a.value / b.value));
    }
	public static IntType fogl_divdiv(IntType a,FloatType b) {
	return new IntType((int) (a.value / b.value));
    }
	public static IntType fogl_divdiv(FloatType a,FloatType b) {
	return new IntType((int)(a.value / b.value));
    }
	public static PairType fogl_divdiv(PairType a, PairType b) {
	return new PairType(fogl_divdiv(a.x, b.x), fogl_divdiv(a.y, b.y));
	}
	public static PairType fogl_divdiv(PairType a, IntType b) {
	return new PairType(fogl_divdiv(a.x, b), fogl_divdiv(a.y, b));
	}
	public static PairType fogl_divdiv(PairType a, FloatType b) {
	return new PairType(fogl_divdiv(a.x, b), fogl_divdiv(a.y, b));
	}
	public static PairType fogl_divdiv(IntType a, PairType b) {
	return new PairType(fogl_divdiv(a, b.x), fogl_divdiv(a, b.y));
	}
	public static PairType fogl_divdiv(FloatType a, PairType b) {
	return new PairType(fogl_divdiv(a, b.x), fogl_divdiv(a, b.y));
	}

    public static IntType fogl_exp(IntType a,IntType b) {
	return new IntType((int) Math.pow(a.value, b.value));
    }
	public static FloatType fogl_exp(FloatType a,IntType b) {
	return new FloatType(Math.pow(a.value, b.value));
    }
	public static FloatType fogl_exp(IntType a,FloatType b) {
	return new FloatType(Math.pow(a.value, b.value));
    }
	public static FloatType fogl_exp(FloatType a,FloatType b) {
	return new FloatType(Math.pow(a.value, b.value));
    }
	public static PairType fogl_exp(PairType a, PairType b) {
	return new PairType(fogl_exp(a.x, b.x), fogl_exp(a.y, b.y));
	}
	public static PairType fogl_exp(PairType a, IntType b) {
	return new PairType(fogl_exp(a.x, b), fogl_exp(a.y, b));
	}
	public static PairType fogl_exp(PairType a, FloatType b) {
	return new PairType(fogl_exp(a.x, b), fogl_exp(a.y, b));
	}
	public static PairType fogl_exp(IntType a, PairType b) {
	return new PairType(fogl_exp(a, b.x), fogl_exp(a, b.y));
	}
	public static PairType fogl_exp(FloatType a, PairType b) {
	return new PairType(fogl_exp(a, b.x), fogl_exp(a, b.y));
	}

	public static IntType fogl_percent(IntType a,IntType b) {
	return new IntType(a.value % b.value);
    }
	public static FloatType fogl_percent(FloatType a,IntType b) {
	return new FloatType(a.value % b.value);
    }
	public static FloatType fogl_percent(IntType a,FloatType b) {
	return new FloatType(a.value % b.value);
    }
	public static FloatType fogl_percent(FloatType a,FloatType b) {
	return new FloatType(a.value % b.value);
    }
	public static PairType fogl_percent(PairType a, PairType b) {
	return new PairType(fogl_percent(a.x, b.x), fogl_percent(a.y, b.y));
	}
	public static PairType fogl_percent(PairType a, IntType b) {
	return new PairType(fogl_percent(a.x, b), fogl_percent(a.y, b));
	}
	public static PairType fogl_percent(PairType a, FloatType b) {
	return new PairType(fogl_percent(a.x, b), fogl_percent(a.y, b));
	}
	public static PairType fogl_percent(IntType a, PairType b) {
	return new PairType(fogl_percent(a, b.x), fogl_percent(a, b.y));
	}
	public static PairType fogl_percent(FloatType a, PairType b) {
	return new PairType(fogl_percent(a, b.x), fogl_percent(a, b.y));
	}

	public static BoolType fogl_eqeq(IntType a, IntType b) {
	return new BoolType(a.value == b.value);
    }
	public static BoolType fogl_eqeq(FloatType a, IntType b) {
	return new BoolType(a.value == b.value);
    }
	public static BoolType fogl_eqeq(IntType a, FloatType b) {
	return new BoolType(a.value == b.value);
    }
	public static BoolType fogl_eqeq(FloatType a, FloatType b) {
	return new BoolType(a.value == b.value);
    }

	public static BoolType fogl_neq(IntType a, IntType b) {
	return new BoolType(a.value != b.value);
    }
	public static BoolType fogl_neq(FloatType a, IntType b) {
	return new BoolType(a.value != b.value);
    }
	public static BoolType fogl_neq(IntType a, FloatType b) {
	return new BoolType(a.value != b.value);
    }
	public static BoolType fogl_neq(FloatType a, FloatType b) {
	return new BoolType(a.value != b.value);
    }

	public static BoolType fogl_gt(IntType a, IntType b) {
	return new BoolType(a.value > b.value);
    }
	public static BoolType fogl_gt(FloatType a, IntType b) {
	return new BoolType(a.value > b.value);
    }
	public static BoolType fogl_gt(IntType a, FloatType b) {
	return new BoolType(a.value > b.value);
    }
	public static BoolType fogl_gt(FloatType a, FloatType b) {
	return new BoolType(a.value > b.value);
    }

	public static BoolType fogl_lt(IntType a, IntType b) {
	return new BoolType(a.value < b.value);
    }
	public static BoolType fogl_lt(FloatType a, IntType b) {
	return new BoolType(a.value < b.value);
    }
	public static BoolType fogl_lt(IntType a, FloatType b) {
	return new BoolType(a.value < b.value);
    }
	public static BoolType fogl_lt(FloatType a, FloatType b) {
	return new BoolType(a.value < b.value);
    }

	public static BoolType fogl_gte(IntType a, IntType b) {
	return new BoolType(a.value >= b.value);
    }
	public static BoolType fogl_gte(FloatType a, IntType b) {
	return new BoolType(a.value >= b.value);
    }
	public static BoolType fogl_gte(IntType a, FloatType b) {
	return new BoolType(a.value >= b.value);
    }
	public static BoolType fogl_gte(FloatType a, FloatType b) {
	return new BoolType(a.value >= b.value);
    }

	public static BoolType fogl_lte(IntType a, IntType b) {
	return new BoolType(a.value <= b.value);
    }
	public static BoolType fogl_lte(FloatType a, IntType b) {
	return new BoolType(a.value <= b.value);
    }
	public static BoolType fogl_lte(IntType a, FloatType b) {
	return new BoolType(a.value <= b.value);
    }
	public static BoolType fogl_lte(FloatType a, FloatType b) {
	return new BoolType(a.value <= b.value);
    }
    
    public static IntType fogl_neg(IntType a) {
	return new IntType(-a.value);
    }

	public static FloatType fogl_neg(FloatType a) {
	return new FloatType(-a.value);
    }
	
	public static BoolType fogl_not(BoolType a){
	return new BoolType(!a.value);
	}
	public static BoolType fogl_not(boolean a) {
	return new BoolType(!a);
	}

    public static BoolType fogl_question(BoolType a) {
		return a;
	}
	public static BoolType fogl_question(ColorType a) {
		return new BoolType(true);
	}
	public static BoolType fogl_question(FunctionType a) {
		return new BoolType(true);
	}
	public static BoolType fogl_question(ListType a) {
		return new BoolType(true);
	}
	public static BoolType fogl_question(PairType a) {
		return new BoolType(true);
	}
	public static BoolType fogl_question(FloatType a) {
		if (a.value == 0) {
			return new BoolType(false);
		}
		else return new BoolType(true);
	}
	public static BoolType fogl_question(IntType a) {
		if (a.value == 0) {
			return new BoolType(false);
		}
		else return new BoolType(true);
	}
	public static BoolType fogl_question(StringType a) {
		if (a.value.equals("")) {
			return new BoolType(false);
		}
		else return new BoolType(true);
	}
}
